/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.testbug.dto.bus;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;

/**
* Restful接口--新增资源--数据传输对象：缺陷管理
*
* createddate:  2021-10-08 16:05:30  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@ApiModel(description = "")
public class BugTendencyChartTmpAddDto implements Serializable
{
    /**
     * 主键id<br>
     */
    @ApiModelProperty("主键id")
    private String id;
    /**
     * 总数<br>
     */
    @ApiModelProperty("总数")
    private Integer amount;
    /**
     * 创建时间<br>
     */
    @ApiModelProperty("创建时间")
    private String createdTime;
    /**
     * 缺陷状态<br>
     */
    @ApiModelProperty("缺陷状态")
    private String bugStatus;
    /**
     * 租户id<br>
     */
    @ApiModelProperty("租户id")
    private String tenantId;
    /**
     * 项目id<br>
     */
    @ApiModelProperty("项目id")
    @Size(max = 32, message="项目id-proId: 数据长度不能 > 32" )
    private String projectId;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Integer getAmount() {
        return amount;
    }

    public void setAmount(Integer amount) {
        this.amount = amount;
    }

    public String getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(String createdTime) {
        this.createdTime = createdTime;
    }

    public String getBugStatus() {
        return bugStatus;
    }

    public void setBugStatus(String bugStatus) {
        this.bugStatus = bugStatus;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }
}